/* some style */
@font-face {
  font-family: "Proxima nova";
  src: url('../fonts/proximanova-regular.ttf') format('truetype');
}
@font-face {
  font-family: "Proxima nova";
  src: url('../fonts/proximanova-bold.ttf') format('truetype');
  font-weight: bold;
}
body {
  background-color: rgb(245, 245, 245);
  font-family: "Proxima nova" !important;
  font-size: 0.9rem;
}
#app {
  background-color: #ffffff;
  max-width: 479px;
}

.day-container {
    margin-left: 3vw;
    margin-right: 3vw;
}
.editor {
    margin-left: 0;
    margin-right: 0;
}
.day {
    background-color: #ffffff;
    font-weight: bold;
    height: 9.2vh;
    max-height: 6rem;
}
.weekday {
    text-transform: uppercase;
    display: inline-block;
    color: #9c9c9c;
    flex: 0.5 0 0;
    text-align: center;
    font-weight: bold;
    font-size: 0.7rem;
}
.day-type {
    text-align: center;
    flex: 0.75 0 0;
    max-width: 4rem;
}

.future .day {
    filter: opacity(50%);
}
.future .day-data, .today .day-data {
    display: none;
}
.today-info {
    height: 6rem;
}
.type-terse {
    flex: 1;
}

.type-verbose {
    font-weight: normal;
    color: #b2b2b2;
    font-size: 0.75rem;
}

.row2 {
    margin-top: -0.6rem;
}

.day-summary {
    flex: 4;
    flex-basis: fit-content;
}

.calories {
    flex: 0 0 5.2rem;
}
.steps {
    flex: 0 0 4rem;
}
.day-data {
    text-align: right;
    margin-left: 1vw;
}
.calories.zero-data {
    padding-right: 2.25rem !important;
}
.steps.zero-data {
    padding-right: 0.75rem !important;
}

.date {
    width: 23%;
    display: inline-block;
    font-weight: normal;
}

.sleep {
    background-color: #eed7ff;
    height: 10px;
}

.holiday {
    color: red;
}
.rest {
    color: #4d94f3;
}

.recovery {
    color: #4d94f3;
    filter: brightness(55%)
}
.training {
    color: #32e632;
}

.active {
    color: #32e632;
    filter: brightness(55%);
}
.ruler {
    background-color: #ededed;
    padding-bottom: 0px !important;
    padding-top: 0px !important;
}
.sleep-bg {
    height: 1px;
    /* picked by hand */
    margin-left: 7vh;
    /* To match .p-1 style */
    margin-right: 0.25rem;
}

.sleep-container {
    background-color: #ffffff;
}
img.day-icon {
    max-width: 100%;
    max-height: 100%;
}
h2.week {
    text-transform: uppercase;
    text-align: center;
    padding-top: 2.5vh;
    font-weight: bold;
    font-size: 1.6rem;
    margin-bottom: 6vh;
}

.week-starter {
    height: 1px;
    margin-left: 2vw;
    margin-right: 1vw;
    opacity: 1;
}

@media screen and (min-width: 479px) {
  body {
    background-color: #e4e4e4 !important;
  }
  #app {
    margin-left: auto;
    margin-right: auto;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .day-container {
    margin-left: 2rem;
    margin-right: 2rem;
  }
  .editor {
    margin-left: 1rem;
    margin-right: 1rem;
  }
}

@media screen and (min-height: 729px) {
  .row2 {margin-top: -0.3rem;}
}

